Subject: Re: [bug#40178] [PATCH 2/2] gnu: Remove qemu-minimal-2.10.

From: Leo Famulari <[email-masked]>
Date: Sun, 22 Mar 2020 14:29:40 -0400

On Sun, Mar 22, 2020 at 03:22:44PM +0100, Marius Bakke wrote:
> > -             ;; afl only supports using a single afl-qemu-trace executable, so
> > -             ;; we only build qemu for the native target.
> 
> Perhaps preserve this comment close to the (let ((machine ...))) line?

Done.

> > +         (add-after 'install 'install-info

> > +         (add-after 'install-info 'create-samba-wrapper

> > +         (add-before 'configure 'prevent-network-configuration
> 
> I think we can remove all the phases above for simplicity.

Done.

> > +       ("texinfo" ,texinfo)))
> 
> As well as the texinfo input.

Done.

> > +    (home-page "https://www.qemu.org")
> > +    (synopsis "Machine emulator and virtualizer (without GUI)")
> > +    (description
> > +     "QEMU is a generic machine emulator and virtualizer.
> > +
> > +When used as a machine emulator, QEMU can run OSes and programs made for one
> > +machine (e.g. an ARM board) on a different machine---e.g., your own PC.  By
> > +using dynamic translation, it achieves very good performance.
> > +
> > +When used as a virtualizer, QEMU achieves near native performances by
> > +executing the guest code directly on the host CPU.  QEMU supports
> > +virtualization when executing under the Xen hypervisor or using
> > +the KVM kernel module in Linux.  When using KVM, QEMU can virtualize x86,
> > +server and embedded PowerPC, and S390 guests.")
> > +    ;; Many files are GPLv2+, but some are GPLv2-only---e.g., `memory.c'.
> > +    (license license:gpl2)
> > +    ;; Several tests fail on MIPS.
> > +    (supported-systems (delete "mips64el-linux" %supported-systems))))))
> 
> This section can be removed, as it gets inherited and does not affect
> the derivation.

This qemu-for-american-fuzzy-lop package doesn't inherit from anything.
My goal was to completely separate it from the "real" QEMU package so
that we can ignore about it and let whoever is interesting in AFL take
care of it. It wouldn't be a problem to inherit these fields, but
instead I will edit them to describe what this package is for.

> In any case LGTM, too!

Thanks for the review! Pushed as 268efd97c255d75ac488c163ff1b8c66c6bcb2b6